Package net.shibboleth.idp.attribute.resolver.dc.ldap

# Class AbstractExecutableSearchFilterBuilder

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
net.shibboleth.idp.attribute.resolver.dc.ldap.AbstractExecutableSearchFilterBuilder

All Implemented Interfaces:
  `ExecutableSearchBuilder<ExecutableSearchFilter>`, `Component`, `DestructableComponent`, `InitializableComponent`

Direct Known Subclasses:
  `ParameterizedExecutableSearchFilterBuilder`, `TemplatedExecutableSearchFilterBuilder`

public abstract class AbstractExecutableSearchFilterBuilder extends AbstractInitializableComponent implements ExecutableSearchBuilder<ExecutableSearchFilter>
Abstract executable search filter builder for implementations that can provide a search filter.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Class logger.

## Constructor Summary

Constructors
Constructor
Description
`AbstractExecutableSearchFilterBuilder()`

## Method Summary

Modifier and Type
Method
Description
`protected ExecutableSearchFilter`
`build(FilterTemplate searchFilter)`
Creates an executable search filter that performs a search with the search filter.

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.idp.attribute.resolver.dc.ExecutableSearchBuilder

`build`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Class logger.

## Constructor Details

### AbstractExecutableSearchFilterBuilder

public AbstractExecutableSearchFilterBuilder()

## Method Details

### build

@Nonnull protected ExecutableSearchFilter build(@Nonnull FilterTemplate searchFilter)
Creates an executable search filter that performs a search with the search filter.

Parameters:
  `searchFilter` - to execute a search with
Returns:
  executable search filter